/* MyView */

import com.apple.cocoa.foundation.*;
import com.apple.cocoa.application.*;


public class MyView extends NSView {
	private float FRAME_SIZE_X=(float)this.frame().width();
	private float FRAME_SIZE_Y=(float)this.frame().height();
	private NSColor DISPLAY_COLOR=NSColor.colorWithDeviceRGB(0.5f,0.5f,0.5f,0.5f);

	public MyView(NSRect rect) {
            super(rect);
    }
	public void setColor(float red,float green,float blue){
		DISPLAY_COLOR=NSColor.colorWithDeviceRGB(red,green,blue,0.5f);
		plot();
	}
	public void plot(){
		display();
	}
	public void drawRect(NSRect rect) {
		DISPLAY_COLOR.set();
		NSBezierPath.bezierPathWithRect(new NSRect(0,0,FRAME_SIZE_X,FRAME_SIZE_Y)).fill();
	}
}
